Get Outstanding Stakes
curl --request GET \
--url https://api.copper.co/platform/staking/outstanding-stakesimport requests
url = "https://api.copper.co/platform/staking/outstanding-stakes"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.copper.co/platform/staking/outstanding-stakes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"outstandingStakes": [
{
"createdAt": "<string>",
"currency": "<string>",
"depositTargetId": "<string>",
"mainCurrency": "<string>",
"organizationId": "<string>",
"outstandingOperation": {
"canCreatePool": true,
"claimResourceId": "<string>",
"outstandingAmount": "<string>",
"pool": {
"extra": {
"netuid": "<string>",
"neuronFollowees": [
"<string>"
],
"swapExtra": {}
},
"poolId": "<string>",
"poolName": "<string>",
"totalBonded": "<string>",
"validatorProviderId": "<string>"
},
"pools": [
{
"extra": {
"netuid": "<string>",
"neuronFollowees": [
"<string>"
],
"swapExtra": {}
},
"poolId": "<string>",
"poolName": "<string>",
"totalBonded": "<string>",
"validatorProviderId": "<string>"
}
],
"rewardResourceIds": [
"<string>"
],
"stakeAddress": "<string>"
},
"outstandingStakeId": "<string>",
"portfolioId": "<string>",
"updatedAt": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}stake
Get Outstanding Stakes
GET
/
staking
/
outstanding-stakes
Get Outstanding Stakes
Query Parameters
Return stakes only for specific portfolio
Filter by the staked currency
Filter by the main currency (blockchain network) for staking
Limit for pagination
Offset for pagination
Response
OK
List of outstanding stakes
Show child attributes
Show child attributes
Was this page helpful?
⌘I